=== debian/changelog ===
ros-indigo-libmongocxx-ros (0.4.2-0trusty) trusty; urgency=high

  * instead of lsb-release read /etc/os-version from CMake to find OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Mon, 04 Jun 2018 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.4.1-0trusty) trusty; urgency=high

  * check if env. var. exists if not decide based on OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Tue, 29 May 2018 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.4.0-0trusty) trusty; urgency=high

  * if compiler supports it use C++11
  * Contributors: Ferenc Balint-Benczedi

 -- Marc Hanheide <marc@hanheide.net>  Wed, 23 May 2018 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.8-0trusty) trusty; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.7-0trusty) trusty; urgency=high

  * Merge pull request #210 <https://github.com/strands-project/mongodb_store/issues/210> from hawesie/kinetic-devel
    Updated to build on OS X with the mongo client legacy version.
  * Updated to build on OS X with the mongo client legacy version.
    This makes a couple of changes. For libmongocxx_ros the paths for openssl are added to the scons command and all ".so" and set to ".so" or ".dylib" depending on platform. For mongodb_log this removes the explicit linking of mongoclient which isn't needed since catkin_libraries includes the lib created by libmongocxx_ros.
  * Merge pull request #207 <https://github.com/strands-project/mongodb_store/issues/207> from furushchev/fix-mongocxx
    Use system mongocxx client if possible
  * libmongocxx_ros: try to use system mongocxx lib if possible
  * Contributors: Nick Hawes, Yuki Furuta

 -- Marc Hanheide <marc@hanheide.net>  Thu, 14 Dec 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.6-0trusty) trusty; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 14 Sep 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.5-0trusty) trusty; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sun, 03 Sep 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.4-0trusty) trusty; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sun, 03 Sep 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.3-0trusty) trusty; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Sat, 02 Sep 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.2-0trusty) trusty; urgency=high

  * had to add ca-certificates as build_depend
    as the build step (git clone) in the cmake command to build the binary packages failed
  * Contributors: Marc Hanheide

 -- Marc Hanheide <marc@hanheide.net>  Thu, 31 Aug 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.3.1-0trusty) trusty; urgency=high



 -- Marc Hanheide <marc@hanheide.net>  Thu, 24 Aug 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.2.2-0trusty) trusty; urgency=high

  * fixed wrong install place
  * Contributors: Marc Hanheide

 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.2.1-0trusty) trusty; urgency=high

  * added git which was missing for the build
  * Contributors: Marc Hanheide

 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000

ros-indigo-libmongocxx-ros (0.2.0-0trusty) trusty; urgency=high

  * attempt to fix the cmake hell
  * fixed install problem
  * some attempts to build libmongocxx internally
  * Contributors: Marc Hanheide

 -- Marc Hanheide <marc@hanheide.net>  Wed, 28 Jun 2017 00:00:00 -0000
