=== debian/control ===
Source: ros-indigo-libmongocxx-ros
Section: misc
Priority: extra
Maintainer: Marc Hanheide <marc@hanheide.net>
Build-Depends: debhelper (>= 9.0.0), ca-certificates, git-core, libboost-all-dev, libssl-dev, ros-indigo-catkin, ros-indigo-roscpp, scons
Homepage: https://github.com/mongodb/mongo-cxx-driver
Standards-Version: 3.9.2

Package: ros-indigo-libmongocxx-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libssl-dev, ros-indigo-roscpp
Description: A wrapper for the libmongocxx for mongodb_store
